{% if pageCount > 1 %}
    <div class="base-pagination">
        {% if first is defined and current != first %}
            <span class="first">
            <a href="{{ path(route, query|merge({(pageParameterName): first})) }}">
                <i class="fa fa-angle-double-left"></i>
            </a>
        </span>
        {% endif %}
        {% if previous is defined %}
            <span class="previous">
            <a href="{{ path(route, query|merge({(pageParameterName): previous})) }}">
                <i class="fa fa-angle-left"></i>
                {{- 'app.pagination.previous'|trans -}}
            </a>
        </span>
        {% endif %}
        {% for page in pagesInRange %}
            {% if page != current %}
                <span class="page">
                <a href="{{ path(route, query|merge({(pageParameterName): page})) }}">{{ page }}</a>
            </span>
            {% else %}
                <span class="current">{{ page }}</span>
            {% endif %}
        {% endfor %}
        {% if next is defined %}
            <span class="next">
                <a href="{{ path(route, query|merge({(pageParameterName): next})) }}">
                    {{- 'app.pagination.next'|trans -}}
                    <i class="fa fa-angle-right"></i>
                </a>
            </span>
        {% endif %}
        {% if last is defined and current != last %}
            <span class="last">
            <a href="{{ path(route, query|merge({(pageParameterName): last})) }}">
                <i class="fa fa-angle-double-right"></i>
            </a>
        </span>
        {% endif %}
    </div>
{% endif %}